Bug 36635 - WMV/WMA/AAC missing in "All movie and sound files" filter of insert movie and sound command
Summary: WMV/WMA/AAC missing in "All movie and sound files" filter of insert movie and...
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
(earliest affected) release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Joel Madero
QA Contact:
Whiteboard: target:4.1.0
: 60522 62407 (view as bug list)
Depends on:
Reported: 2011-04-27 06:14 UTC by Philipp Weissenbacher
Modified: 2013-04-19 08:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Weissenbacher 2011-04-27 06:14:33 UTC
The dialogue you get, if you select "Insert" -> "Movie and sound..." does not include WMV (Windows Media Video) and WMA (Windows Media Audio) files in it's "All movie and sound files" filter.

This is a problem especially under Windows, where WMV/WMA is the predominant format.

And why have a filter called like that if it doesn't do what it says?

Workaround: Select "All files (*)" do also display WMV/WMA files.

I filed this as "minor" as the workaround is easy, but it's still annoying and possibly leads to a "where are my files?" moment for inexperienced users.
Comment 1 Björn Michaelsen 2011-12-23 12:01:56 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Philipp Weissenbacher 2012-01-11 06:36:48 UTC
This issue still exists in LibreOffice 3.5.0beta2.
I can also confirm it under Fedora 16.
Comment 3 Gerry 2012-07-01 01:44:11 UTC
I absolutely second this request and it should be *very easy to fix*. 

Until I saw this bug report, I thought that WMV is not a recognized video format by LibreOffice at all! But in fact, it is just the file extensions missing in the dialog. Please add the file extensions .wmv and .wma to the import dialog. 

I suggest this bug as one for the EasyHack list. Please add it.

P.S. I changed importance back to normal and changed the OS to ALL, since I could reproduce it on Ubuntu 11.10.
Comment 4 Gerry 2012-12-27 08:51:32 UTC
Sending a ping with regards to this IMHO *very very easy to fix* bug. Issue in Version (Build ID: 360m1(Build:2)) Ubuntu is still the same:

Issue: The WMV filter works perfectly, but the user does not see the WMV/WMA files when using the "Insert"->"Movie Sound" dialog. The user only sees WMV/WMA files after choosing "All files (*)".

Solution: Please add WMV and WMA to the list of supported file formats, so that they are displayed in the list of the "Movie Sound" dialog.
Comment 5 Joel Madero 2013-02-20 00:59:29 UTC
*** Bug 60522 has been marked as a duplicate of this bug. ***
Comment 6 Not Assigned 2013-02-20 08:57:27 UTC
Joel Madero committed a patch related to this issue.
It has been pushed to "master":


fdo#36635 Added WMV/WMA/AAC to list of Movie and Sound File Types

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
Affected users are encouraged to test the fix and report feedback.
Comment 7 Gerry 2013-02-20 09:57:32 UTC
Thanks a lot!
Comment 8 Joel Madero 2013-03-19 19:07:03 UTC
*** Bug 62407 has been marked as a duplicate of this bug. ***
Comment 9 Richard Neill 2013-04-09 03:47:22 UTC
Sorry to re-open this, but .wmv is definitely missing under Linux,

To reproduce:

Run Libreoffice.
New Presentation.
Insert "Movies and Sound"

[the filter is set to "All movie and sound files"]

Observe that files ending in .wmv are NOT listed.

.avi and mpg files are listed. If I set the filter to "all files", they appear.
Comment 10 Joel Madero 2013-04-09 05:43:20 UTC
You will see it on release of 4.1, until then "all files" will work :) Sorry just haven't had time to figure out how to backport, I MAY get to it in the next week or so, otherwise I assure you you'll see it in 4.1
Comment 11 Gerry 2013-04-19 08:50:16 UTC
Added information on this fixed bug on https://wiki.documentfoundation.org/ReleaseNotes/4.1#Filters Please cross-check.